Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript.ast
Class StringLiteral

    java.lang.Object
      org.mozilla.javascript.Node
          org.mozilla.javascript.ast.AstNode
              org.mozilla.javascript.ast.StringLiteral

All Implemented Interfaces:
  java.lang.Comparable<AstNode>, java.lang.Iterable<Node>

    public class StringLiteral

extends AstNode

AST node for a single- or double-quoted string literal. Node type is `Token.STRING`.

Nested Class Summary

Nested classes/interfaces inherited from class org.mozilla.javascript.ast.AstNode
`AstNode.DebugPrintVisitor, AstNode.PositionComparator`

Nested classes/interfaces inherited from class org.mozilla.javascript.Node
`Node.NodeIterator`

Field Summary

Fields inherited from class org.mozilla.javascript.ast.AstNode
`length, parent, position`

Fields inherited from class org.mozilla.javascript.Node
`ATTRIBUTE_FLAG, BOTH, CASEARRAY_PROP, CATCH_SCOPE_PROP, CONTROL_BLOCK_PROP, DECR_FLAG, DESCENDANTS_FLAG, DESTRUCTURING_ARRAY_LENGTH, DESTRUCTURING_NAMES, DESTRUCTURING_PARAMS, DESTRUCTURING_SHORTHAND, DIRECTCALL_PROP, END_DROPS_OFF, END_RETURNS, END_RETURNS_VALUE, END_UNREACHED, END_YIELDS, EXPRESSION_CLOSURE_PROP, first, FUNCTION_PROP, GENERATOR_END_PROP, INCRDECR_PROP, ISNUMBER_PROP, JSDOC_PROP, LABEL_ID_PROP, last, LAST_PROP, LEFT, lineno, LOCAL_BLOCK_PROP, LOCAL_PROP, MEMBER_TYPE_PROP, NAME_PROP, next, NON_SPECIALCALL, OBJECT_IDS_PROP, PARENTHESIZED_PROP, POST_FLAG, PROPERTY_FLAG, propListHead, REGEXP_PROP, RIGHT, SKIP_INDEXES_PROP, SPECIALCALL_EVAL, SPECIALCALL_PROP, SPECIALCALL_WITH, TARGETBLOCK_PROP, type, VARIABLE_PROP`

Constructor Summary
`StringLiteral()`
`StringLiteral(int pos)`
`StringLiteral(int pos, int len)` Creates a string literal node at the specified position.

Method Summary
`char` | `getQuoteCharacter()` Returns the character used as the delimiter for this string.
`java.lang.String` | `getValue()` Returns the node's value: the parsed string without the enclosing quotes
`java.lang.String` | `getValue(boolean includeQuotes)` Returns the string value, optionally including the enclosing quotes.
`void` | `setQuoteCharacter(char c)`
`void` | `setValue(java.lang.String value)` Sets the node's value.
`java.lang.String` | `toSource(int depth)` Emits source code for this node.
`void` | `visit(NodeVisitor v)` Visits this node.

Methods inherited from class org.mozilla.javascript.ast.AstNode
`addChild, assertNotNull, codeBug, compareTo, debugPrint, depth, getAbsolutePosition, getAstRoot, getEnclosingFunction, getEnclosingScope, getLength, getLineno, getParent, getPosition, hasSideEffects, makeIndent, operatorToString, printList, setBounds, setLength, setParent, setPosition, setRelative, shortName, toSource`

Methods inherited from class org.mozilla.javascript.Node
`addChildAfter, addChildBefore, addChildrenToBack, addChildrenToFront, addChildToBack, addChildToFront, getChildBefore, getDouble, getExistingIntProp, getFirstChild, getIntProp, getJsDoc, getLastChild, getLastSibling, getNext, getProp, getScope, getString, getType, hasChildren, hasConsistentReturnUsage, iterator, labelId, labelId, newNumber, newString, newString, newTarget, putIntProp, putProp, removeChild, removeChildren, removeProp, replaceChild, replaceChildAfter, setDouble, setJsDoc, setLineno, setScope, setString, setType, toString, toStringTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringLiteral

    public StringLiteral()

### StringLiteral

    public StringLiteral(int pos)

### StringLiteral

    public StringLiteral(int pos,
                         int len)

  Creates a string literal node at the specified position.

  Parameters:
    `len` - the length including the enclosing quotes

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the node's value: the parsed string without the enclosing quotes

  Returns:
    the node's value, a `String` of unescaped characters that includes the delimiter quotes.

### getValue

    public java.lang.String getValue(boolean includeQuotes)

  Returns the string value, optionally including the enclosing quotes.

### setValue

    public void setValue(java.lang.String value)

  Sets the node's value. Do not include the enclosing quotes.

  Parameters:
    `value` - the node's value
  Throws:
    `IllegalArgumentException}` - if value is `null`

### getQuoteCharacter

    public char getQuoteCharacter()

  Returns the character used as the delimiter for this string.

### setQuoteCharacter

    public void setQuoteCharacter(char c)

### toSource

    public java.lang.String toSource(int depth)

  Description copied from class: `AstNode`
  Emits source code for this node. Callee is responsible for calling this function recursively on children, incrementing indent as appropriate.

  Note: if the parser was in error-recovery mode, some AST nodes may have `null` children that are expected to be non-`null` when no errors are present. In this situation, the behavior of the `toSource` method is undefined: `toSource` implementations may assume that the AST node is error-free, since it is intended to be invoked only at runtime after a successful parse.

  Specified by:
    `toSource` in class `AstNode`
  Parameters:
    `depth` - the current recursion depth, typically beginning at 0 when called on the root node.

### visit

    public void visit(NodeVisitor v)

  Visits this node. There are no children to visit.

  Specified by:
    `visit` in class `AstNode`
  Parameters:
    `v` - the object to call with this node and its children

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD